## GdauiRawForm

GdauiRawForm — Form widget to manipulate data in a GdaDataModel

## Synopsis

                        GdauiRawForm;
    GtkWidget *         gdaui_raw_form_new                  (GdaDataModel *model);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GdauiBasicForm
                                                 +----GdauiRawForm

## Implemented Interfaces

GdauiRawForm implements AtkImplementorIface, GtkBuildable, GtkOrientable, GdauiDataProxy and GdauiDataSelector.

## Properties

      "model"                    GdaDataModel*         : Read / Write

## Description

## Details

### GdauiRawForm

    typedef struct _GdauiRawForm GdauiRawForm;

### gdaui_raw_form_new ()

    GtkWidget *         gdaui_raw_form_new                  (GdaDataModel *model);

Creates a new GdauiRawForm widget to display data in `model`

`model` : | a GdaDataModel, or `NULL`
Returns : | the new widget. [transfer full]

Since 4.2

## Property Details

### The `"model"` property

      "model"                    GdaDataModel*         : Read / Write

## See Also

The GdauiForm widget which uses the GdauiRawForm and adds decorations such as information about data model size, and features searching.